Bug 23553 - gnome-help-browser can't find info pages
Summary: gnome-help-browser can't find info pages
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnome-core (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-07 20:50 UTC by sdh4
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-08 15:37:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description sdh4 2001-01-07 20:50:17 UTC
gnome-help-browser from older versions of RedHat created a configuration
file in the .gnome directory called "GnomeHelp", which includes the line:
infopath=/usr/info:/usr/local/info
With RH7.0 the info files have been moved to /usr/share/info, and
gnome-help-browser overrides its internal path default with the
configuration file and can't find the info pages.

Workaround: ln -s /usr/share/info /usr/info

Solution: gnome-help-browser should automatically append its default
path to any user specified path. It also should not write such data
to the configuration file unless specifically requested by the user

Comment 1 David Lawrence 2001-01-08 15:29:49 UTC
Have verified this to be true in the test lab on a stock 7.0 box. Also verified
that the suggested fix does in fact solve the problem. Changing status to
assigned.

Comment 2 Elliot Lee 2001-02-02 00:01:18 UTC
Will be fixed in gnome-core-1.2.4-5


Note You need to log in before you can comment on or make changes to this bug.